---
layout: docs
page_title: authenticate ldap - Command
description: >-
  The "authenticate ldap" command invokes the LDAP auth method to authenticate the CLI client.
---

# authenticate ldap

Command: `boundary authenticate ldap`

The `authenticate ldap` command lets you invokes the LDAP auth method to authenticate the
Boundary CLI.

## Example

The following example uses an LDAP auth method with the ID `amldap_1234567890` and the login name `foo` to authenticate the Boundary CLI:

```shell-session
$ boundary authenticate ldap -auth-method-id amldap_1234567890 -login-name foo
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary authenticate ldap [options] [args]
```

</CodeBlockConfig>

### Command options

- `-auth-method-id` `(string: "")` - The auth-method resource you want to use for authentication.
You can also specify the auth method resource using the **BOUNDARY_AUTH_METHOD_ID** environment variable.

- `-login-name` `(string: "")` - A login name that corresponds to an account within the given auth method.
You can also specify a login name using the **BOUNDARY_AUTHENTICATE_PASSWORD_LOGIN_NAME** environment variable.

- `-password` `(string: "")` - The password that is associated with the login name.
If this value is blank, the command prompts you to enter the password interactively in a non-echoing way.
Otherwise, this value can refer to a file on disk (`file://`) from which a password is read or an environment variable (`env://`) from which the password is read. You can also specify the password using the **BOUNDARY_AUTHENTICATE_PASSWORD_PASSWORD** environment variable.

- `-scope-id` `(string: "")` - The scope ID to use for the operation.
You can also specify the scope ID using the **BOUNDARY_SCOPE_ID** environment variable.

@include 'cmd-option-note.mdx'
